#ifndef __TRAIN_H__
#define __TRAIN_H__

using namespace std;

//#include "../common.h"

//#include "../track/track.h"
//#include "allegro.h"

class train 
{
	private:

		static const int DIR_NONE  = 0;
		static const int DIR_UP    = 1;
		static const int DIR_RIGHT = 2;
		static const int DIR_DOWN  = 3;
		static const int DIR_LEFT  = 4;

		int x;
		int y;

		int x_fine;
		int y_fine;

		int x_last;
		int y_last;

		int dir;

		int dir_left_rel(int direction);
		int dir_right_rel(int direction);
		int dir_back_rel(int direction);
		int dir_forw_rel(int direction);


		bool move_to(int direction);
    bool can_move_to(int direction);
   

	public:

		train();
		virtual ~train();

    virtual bool is_in_goal();
		virtual bool is_crashed();

		virtual bool update();
		virtual bool render();		

};

#endif
