#ifndef __LAYER_H__
#define __LAYER_H__

#include "allegro.h"

class layer 
{
 private:

 int pos_x;
 int pos_y;

 int width;
 int height;

 int type; // 0 = ordinary, 1 = transparent
 int alpha; // 0 = not visible, 255 = fully visible

 int **data;

 public:

 layer(int x, int y, int w, int h, int t, int a);
 ~layer();

 bool create(int w, int h);
 bool destroy();

 bool hide();
 bool show();

 bool alpha_set(int i);
 int alpha_get();

 int get_width() { return width; }
 int get_height() { return height; } 

 friend class map;

};


#endif
