#include "player.h"


player::player(int the_id)
{
	id = the_id;	
	inside_car = false;
	
	x = 0;
	y = 0;
	
	image = load_bitmap("images/man.pcx", NULL);
}

int player::get_id()
{
	return id;
}

bool player::car_in()
{
	return inside_car;	
}

void player::render(BITMAP *where, int cam_x, int cam_y)
{
	player_car.render(where, cam_x, cam_y);
	
	if(!car_in())
	{
		rotate_sprite(where, image, (int)x - cam_x, (int)y - cam_y, ftofix(rotation));
		
		//masked_blit(where, image, 0, 0, (int)x - cam_x, (int)y - cam_y, image->w, image->h);
		//textprintf_ex(where, font, (int)x - cam_x, (int)y - cam_y, makecol(255, 0, 0), -1, "X");		
	}
}


bool player::car_enter()
{
	// Todo: check
	inside_car = true;	
}

bool player::car_leave()
{
	// Todo: check
	inside_car = false;
	
}

