#include "track.h"


track::track(int n_up, int n_right, int n_down, int n_left, int n_switchto = 0)
{
	_up 		= n_up;
	_right 	= n_right;
	_down 	=	n_down;
	_left 	= n_left;

 if(n_switchto == 0)
 {	
  _switchable = false;
	_switchto		= 0;
 }
 else
 {
  _switchable = true;
	_switchto		= n_switchto;
 }
}

bool track::dir(int direction) {   

  switch(direction)
	{
		default: 					return false;
		case DIR_UP: 			return up();
		case DIR_RIGHT:		return right();
		case DIR_DOWN:		return down();
		case DIR_LEFT:		return left();
	}
}
